Installiere unsere App 🪄 Klicke auf das -Symbol oben rechts in der Adressleiste.

Zahlungen

GET https://okk.link/api/payments/
curl --request GET \
--url 'https://okk.link/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Details Beschreibung
processor Optional String Erlaubte Werte: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Optional String Erlaubte Werte: paid, pending, cancelled, refunded
type Optional String Erlaubte Werte: one_time, recurring
frequency Optional String Erlaubte Werte: monthly, quarterly, biannual, annual, lifetime
datetime_field Optional String Erlaubte Werte: datetime
datetime_start Optional String Ergebnisse ab diesem Datum filtern. Format: Y-m-d H:i:s.
datetime_end Optional String Ergebnisse bis zu diesem Datum filtern. Format: Y-m-d H:i:s.
order_by Optional String Das Feld, nach dem Ergebnisse sortiert werden sollen. Erlaubte Werte: id, datetime, total_amount.
order_type Optional String Die Sortierung der Ergebnisse. Erlaubte Werte: ASC für aufsteigend und DESC für absteigend.
page Optional Integer Die Seitennummer, für die du Ergebnisse abrufen möchtest. Standard ist 1.
results_per_page Optional Integer Wie viele Ergebnisse pro Seite angezeigt werden sollen. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "example@example.com",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-09-17 00:09:54"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://okk.link/api/payments?page=1",
        "last": "https://okk.link/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://okk.link/api/payments?page=1"
    }
}
GET https://okk.link/api/payments/{id}
curl --request GET \
--url 'https://okk.link/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "example@example.com",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-09-17 00:09:54"
    }
}